//=============================================================================
// GetOpt - ணࠬ ⥭ ࠬ஢  INI-䠩
//=============================================================================
void GetOpt (char *INIname)
{
//-----------------------------------------------------------------------------
// Copy the Window position info from a private INI into OS2.INI
//-----------------------------------------------------------------------------
  hini = PrfOpenProfile(hab, INIname); // Open private profile
  if ( hini )
    {
#ifndef CONFIG_LS
    if ( PrfQueryProfileSize(hini, APPNAME, WINPOS, &ulSize) )
      {
      DosAllocMem(&pBuffer, ulSize, PAG_READ| PAG_WRITE |PAG_COMMIT);
      PrfQueryProfileData(hini, APPNAME, WINPOS, pBuffer, &ulSize);
      PrfWriteProfileData(HINI_USERPROFILE,APPNAME,WINPOS,pBuffer,ulSize);
      DosFreeMem(pBuffer);
      }
#endif
//-----------------------------------------------------------------------------
// Restore Options from INI file
//-----------------------------------------------------------------------------
    GetParm(AUTORUN, AutoRun);
    GetParm(AUTOLOG, AutoLog);
    GetParm(COMMONLOG, CommonLog);
    GetParm(INTERVAL, Interval);
    GetParm(CREATEHTML, CrtHTMLfile);
    GetParm(AUTOSAVE, AutoSave);
    GetParm(SETHTML, HTMLpath);
    GetParm(SETTEXT, szFullPath);
    GetParm(USEDNS, useDNS);
    GetParm(USEOTHD, useOTHD);
    GetParm(PINGTO, pingtv.tv_sec);
    GetParm(ARPTO, ArpWait);
    GetParm(TCPTO, TcpWait);
    GetParm(NUMPING, NumPing);
    GetParm(PINGSTART, PingStart);
    GetParm(PINGSTOP, PingStop);
    GetParm(NBACT, NBact);
    GetParm(NBADRSET, NBadrSet);
    GetParm(NBADRM, NBadrM);
#ifdef CONFIG_LS
    GetParm(NUMIPADR, NumIPadr);
    GetParm(ADDRINFO, AddrInfoIP);
    GetParm(IPINTERVAL, Interv);
    GetParm(HOSTINT, HostInt);
#else
    GetParm(NUMIPADR, TempNumIPadr);
    GetParm(ADDRINFO, TempAddrInfo);
    GetParm(IPINTERVAL, TempInterv);
    GetParm(HOSTINT, TempHostInt);
#endif
    PrfCloseProfile(hini);   // Close private profile
    }
//-----------------------------------------------------------------------------
// Check (and correct) Interval & Timeouts
//-----------------------------------------------------------------------------
  Interval = ( Interval > L60 ) ? L60 : Interval;
  Interval = ( Interval < L5 ) ? L5 : Interval;
  Interval = ( Interval / L5 ) * L5;

  pingtv.tv_sec = ( pingtv.tv_sec > L10) ? L10 : pingtv.tv_sec;
  pingtv.tv_sec = ( pingtv.tv_sec < L1 ) ? L1 : pingtv.tv_sec;

  if ( ArpWait <= L15 )
    {
    ArpWait = ( ArpWait < L3 ) ? L3 : ArpWait;
    ArpWait = ( ArpWait / L3 ) * L3;
    }
  else
    {
    ArpWait = ( ArpWait > L90 ) ? L90 : ArpWait;
    ArpWait = ( ArpWait < L30 ) ? L30 : ArpWait;
    ArpWait = ( ArpWait / L15 ) * L15;
    }

  TcpWait = ( TcpWait > L50 ) ? L50 : TcpWait;
  TcpWait = ( TcpWait < L10 ) ? L10 : TcpWait;
  TcpWait = ( TcpWait / L10 ) * L10;
}
