//=============================================================================
// DlgProcPING - window procedure for the PING dialog
//=============================================================================
MRESULT EXPENTRY DlgProcPING (HWND hwndDlg, ULONG msg, MPARAM mp1, MPARAM mp2)
{
int i, len;
char OutText[L16];
char InAddr[L32];

  switch (msg)
    {
//-----------------------------------------------------------------------------
// Init the dialog
//-----------------------------------------------------------------------------
    case WM_INITDLG:
      {
      for ( i=EFS_1; i<=EFP_8; i++)
        WinSendDlgItemMsg(hwndDlg, i, EM_SETTEXTLIMIT, (MPARAM)L15, 0);
      for ( i=0; i<NumPing; i++)
        {
        sprintf( OutText, "%s", inet_ntoa(*(struct in_addr *)&PingStart[i]) );
        WinSetDlgItemText(hwndDlg, EFS_1+i*2, OutText);
        sprintf( OutText, "%s", inet_ntoa(*(struct in_addr *)&PingStop[i]) );
        WinSetDlgItemText(hwndDlg, EFS_1+i*2+1, OutText);
        }
      break;
      }
//-----------------------------------------------------------------------------
// Handle WM_COMMAND
//-----------------------------------------------------------------------------
    case WM_COMMAND:
      {
      switch(SHORT1FROMMP(mp1))
        {
        case DID_OK:
          {
          NumPing = 0;
          for ( i=0; i<MAXIPADR; i++) PingStart[i] = PingStop[i] = 0;

          for ( i=EFS_1; i<=EFS_8; i+=2)
            {
            if ( WinQueryDlgItemTextLength(hwndDlg, i) == L0 ) continue;
            if ( WinQueryDlgItemTextLength(hwndDlg, i+1) == L0 ) continue;
            WinQueryDlgItemText(hwndDlg, i, L16, InAddr);
            strcat(InAddr, "-");
            len = strlen(InAddr);
            WinQueryDlgItemText(hwndDlg, i+1, L16, InAddr+len);
            TestPing(InAddr);
            }
#ifdef CONFIG_LS
          SaveOpt(CFGname);
#endif
          break;
          }
        }
      }
      break;
    }
    return (WinDefDlgProc (hwndDlg,msg,mp1,mp2));
}
